=== modified file 'bzrlib/repofmt/knitrepo.py'
--- bzrlib/repofmt/knitrepo.py	2007-02-07 09:11:31 +0000
+++ bzrlib/repofmt/knitrepo.py	2007-02-07 09:22:47 +0000
@@ -21,6 +21,7 @@
     lockable_files,
     lockdir,
     transactions,
+    xml5,
     xml6,
     )
 
@@ -39,6 +40,9 @@
 class KnitRepository(MetaDirRepository):
     """Knit format repository."""
 
+
+    _serializer = xml5.serializer_v5
+
     def _warn_if_deprecated(self):
         # This class isn't deprecated
         pass

=== modified file 'bzrlib/repofmt/weaverepo.py'
--- bzrlib/repofmt/weaverepo.py	2007-02-06 06:27:24 +0000
+++ bzrlib/repofmt/weaverepo.py	2007-02-07 09:22:47 +0000
@@ -25,6 +25,7 @@
     lockdir,
     weave,
     weavefile,
+    xml5,
     )
 from bzrlib.decorators import needs_read_lock, needs_write_lock
 from bzrlib.repository import (
@@ -40,6 +41,8 @@
 class AllInOneRepository(Repository):
     """Legacy support - the repository behaviour for all-in-one branches."""
 
+    _serializer = xml5.serializer_v5
+
     def __init__(self, _format, a_bzrdir, _revision_store, control_store, text_store):
         # we reuse one control files instance.
         dir_mode = a_bzrdir._control_files._dir_mode
@@ -102,6 +105,8 @@
 class WeaveMetaDirRepository(MetaDirRepository):
     """A subclass of MetaDirRepository to set weave specific policy."""
 
+    _serializer = xml5.serializer_v5
+
     def get_commit_builder(self, branch, parents, config, timestamp=None,
                            timezone=None, committer=None, revprops=None,
                            revision_id=None):
@@ -114,6 +119,7 @@
     """Base class for the pre split out repository formats."""
 
     rich_root_data = False
+    _serializer = xml5.serializer_v5
 
     def initialize(self, a_bzrdir, shared=False, _internal=False):
         """Create a weave repository.

=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2007-02-07 09:15:49 +0000
+++ bzrlib/repository.py	2007-02-07 09:22:47 +0000
@@ -43,14 +43,6 @@
     transactions,
     ui,
     weave,
-    weavefile,
-    xml5,
-    xml6,
-    )
-from bzrlib.osutils import (
-    rand_bytes,
-    compact_date, 
-    local_time_offset,
     )
 from bzrlib.revisiontree import RevisionTree
 from bzrlib.store.versioned import VersionedFileStore
@@ -224,7 +216,6 @@
         # TODO: make sure to construct the right store classes, etc, depending
         # on whether escaping is required.
         self._warn_if_deprecated()
-        self._serializer = xml5.serializer_v5
 
     def __repr__(self):
         return '%s(%r)' % (self.__class__.__name__, 
@@ -1560,7 +1551,7 @@
         self._timestamp = round(timestamp, 3)
 
         if timezone is None:
-            self._timezone = local_time_offset()
+            self._timezone = osutils.local_time_offset()
         else:
             self._timezone = int(timezone)
 

